Index: trunk/client/modules/Elezioni/grafici/gd_image.inc.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/gd_image.inc.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/gd_image.inc.php	(revision 265)
@@ -1303,173 +1948,172 @@
 class RotImage extends Image {
     public $a=0;
-    public $dx=0,$dy=0,$transx=0,$transy=0; 
+    public $dx=0,$dy=0,$transx=0,$transy=0;
     private $m=array();
-	
-    function RotImage($aWidth,$aHeight,$a=0,$aFormat=DEFAULT_GFORMAT,$aSetAutoMargin=true) {
-	$this->Image($aWidth,$aHeight,$aFormat,$aSetAutoMargin);
-	$this->dx=$this->left_margin+$this->plotwidth/2;
-	$this->dy=$this->top_margin+$this->plotheight/2;
-	$this->SetAngle($a);	
-    }
-	
+
+    function __construct($aWidth,$aHeight,$a=0,$aFormat=DEFAULT_GFORMAT,$aSetAutoMargin=true) {
+        parent::__construct($aWidth,$aHeight,$aFormat,$aSetAutoMargin);
+        $this->dx=$this->width/2;
+        $this->dy=$this->height/2;
+        $this->SetAngle($a);
+    }
+
     function SetCenter($dx,$dy) {
-	$old_dx = $this->dx;
-	$old_dy = $this->dy;
-	$this->dx=$dx;
-	$this->dy=$dy;
-	$this->SetAngle($this->a);
-	return array($old_dx,$old_dy);
-    }
-	
+        $old_dx = $this->dx;
+        $old_dy = $this->dy;
+        $this->dx=$dx;
+        $this->dy=$dy;
+        $this->SetAngle($this->a);
+        return array($old_dx,$old_dy);
+    }
+
     function SetTranslation($dx,$dy) {
-	$old = array($this->transx,$this->transy);
-	$this->transx = $dx;
-	$this->transy = $dy;
-	return $old;
+        $old = array($this->transx,$this->transy);
+        $this->transx = $dx;
+        $this->transy = $dy;
+        return $old;
     }
 
     function UpdateRotMatrice()  {
-	$a = $this->a;
-	$a *= M_PI/180;
-	$sa=sin($a); $ca=cos($a);		
-	// Create the rotation matrix
-	$this->m[0][0] = $ca;
-	$this->m[0][1] = -$sa;
-	$this->m[0][2] = $this->dx*(1-$ca) + $sa*$this->dy ;
-	$this->m[1][0] = $sa;
-	$this->m[1][1] = $ca;
-	$this->m[1][2] = $this->dy*(1-$ca) - $sa*$this->dx ;
+        $a = $this->a;
+        $a *= M_PI/180;
+        $sa=sin($a); $ca=cos($a);
+        // Create the rotation matrix
+        $this->m[0][0] = $ca;
+        $this->m[0][1] = -$sa;
+        $this->m[0][2] = $this->dx*(1-$ca) + $sa*$this->dy ;
+        $this->m[1][0] = $sa;
+        $this->m[1][1] = $ca;
+        $this->m[1][2] = $this->dy*(1-$ca) - $sa*$this->dx ;
     }
 
     function SetAngle($a) {
-	$tmp = $this->a;
-	$this->a = $a;
-	$this->UpdateRotMatrice();
-	return $tmp;
+        $tmp = $this->a;
+        $this->a = $a;
+        $this->UpdateRotMatrice();
+        return $tmp;
     }
 
     function Circle($xc,$yc,$r) {
-	list($xc,$yc) = $this->Rotate($xc,$yc);
-	parent::Circle($xc,$yc,$r);
+        list($xc,$yc) = $this->Rotate($xc,$yc);
+        parent::Circle($xc,$yc,$r);
     }
 
     function FilledCircle($xc,$yc,$r) {
-	list($xc,$yc) = $this->Rotate($xc,$yc);
-	parent::FilledCircle($xc,$yc,$r);
-    }
-
-	
+        list($xc,$yc) = $this->Rotate($xc,$yc);
+        parent::FilledCircle($xc,$yc,$r);
+    }
+
+
     function Arc($xc,$yc,$w,$h,$s,$e) {
-	list($xc,$yc) = $this->Rotate($xc,$yc);
-	$s += $this->a;
-	$e += $this->a;
-	parent::Arc($xc,$yc,$w,$h,$s,$e);
+        list($xc,$yc) = $this->Rotate($xc,$yc);
+        $s += $this->a;
+        $e += $this->a;
+        parent::Arc($xc,$yc,$w,$h,$s,$e);
     }
 
     function FilledArc($xc,$yc,$w,$h,$s,$e,$style='') {
-	list($xc,$yc) = $this->Rotate($xc,$yc);
-	$s += $this->a;
-	$e += $this->a;
-	parent::FilledArc($xc,$yc,$w,$h,$s,$e);
+        list($xc,$yc) = $this->Rotate($xc,$yc);
+        $s += $this->a;
+        $e += $this->a;
+        parent::FilledArc($xc,$yc,$w,$h,$s,$e);
     }
 
     function SetMargin($lm,$rm,$tm,$bm) {
-	parent::SetMargin($lm,$rm,$tm,$bm);
-	$this->dx=$this->left_margin+$this->plotwidth/2;
-	$this->dy=$this->top_margin+$this->plotheight/2;
-	$this->UpdateRotMatrice();
-    }
-	
+        parent::SetMargin($lm,$rm,$tm,$bm);
+        $this->UpdateRotMatrice();
+    }
+
     function Rotate($x,$y) {
-	// Optimization. Ignore rotation if Angle==0 || Angle==360
-	if( $this->a == 0 || $this->a == 360 ) {
-	    return array($x + $this->transx, $y + $this->transy );
-	}
-	else {
-	    $x1=round($this->m[0][0]*$x + $this->m[0][1]*$y,1) + $this->m[0][2] + $this->transx;
-	    $y1=round($this->m[1][0]*$x + $this->m[1][1]*$y,1) + $this->m[1][2] + $this->transy;
-	    return array($x1,$y1);
-	}
-    }
-	
+        // Optimization. Ignore rotation if Angle==0 || Angle==360
+        if( $this->a == 0 || $this->a == 360 ) {
+            return array($x + $this->transx, $y + $this->transy );
+        }
+        else {
+            $x1=round($this->m[0][0]*$x + $this->m[0][1]*$y,1) + $this->m[0][2] + $this->transx;
+            $y1=round($this->m[1][0]*$x + $this->m[1][1]*$y,1) + $this->m[1][2] + $this->transy;
+            return array($x1,$y1);
+        }
+    }
+
     function CopyMerge($fromImg,$toX,$toY,$fromX,$fromY,$toWidth,$toHeight,$fromWidth=-1,$fromHeight=-1,$aMix=100) {
-	list($toX,$toY) = $this->Rotate($toX,$toY);
-	parent::CopyMerge($fromImg,$toX,$toY,$fromX,$fromY,$toWidth,$toHeight,$fromWidth,$fromHeight,$aMix);
+        list($toX,$toY) = $this->Rotate($toX,$toY);
+        parent::CopyMerge($fromImg,$toX,$toY,$fromX,$fromY,$toWidth,$toHeight,$fromWidth,$fromHeight,$aMix);
 
     }
 
     function ArrRotate($pnts) {
-	$n = count($pnts)-1;
-	for($i=0; $i < $n; $i+=2) {
-	    list ($x,$y) = $this->Rotate($pnts[$i],$pnts[$i+1]);
-	    $pnts[$i] = $x; $pnts[$i+1] = $y;
-	}
-	return $pnts;
+        $n = count($pnts)-1;
+        for($i=0; $i < $n; $i+=2) {
+            list ($x,$y) = $this->Rotate($pnts[$i],$pnts[$i+1]);
+            $pnts[$i] = $x; $pnts[$i+1] = $y;
+        }
+        return $pnts;
     }
 
     function DashedLine($x1,$y1,$x2,$y2,$dash_length=1,$dash_space=4) {
-	list($x1,$y1) = $this->Rotate($x1,$y1);
-	list($x2,$y2) = $this->Rotate($x2,$y2);
-	parent::DashedLine($x1,$y1,$x2,$y2,$dash_length,$dash_space);
-    }
-	
+        list($x1,$y1) = $this->Rotate($x1,$y1);
+        list($x2,$y2) = $this->Rotate($x2,$y2);
+        parent::DashedLine($x1,$y1,$x2,$y2,$dash_length,$dash_space);
+    }
+
     function Line($x1,$y1,$x2,$y2) {
-	list($x1,$y1) = $this->Rotate($x1,$y1);
-	list($x2,$y2) = $this->Rotate($x2,$y2);
-	parent::Line($x1,$y1,$x2,$y2);
+        list($x1,$y1) = $this->Rotate($x1,$y1);
+        list($x2,$y2) = $this->Rotate($x2,$y2);
+        parent::Line($x1,$y1,$x2,$y2);
     }
 
     function Rectangle($x1,$y1,$x2,$y2) {
-	// Rectangle uses Line() so it will be rotated through that call
-	parent::Rectangle($x1,$y1,$x2,$y2);
-    }
-	
+        // Rectangle uses Line() so it will be rotated through that call
+        parent::Rectangle($x1,$y1,$x2,$y2);
+    }
+
     function FilledRectangle($x1,$y1,$x2,$y2) {
-	if( $y1==$y2 || $x1==$x2 )
-	    $this->Line($x1,$y1,$x2,$y2);
-	else 
-	    $this->FilledPolygon(array($x1,$y1,$x2,$y1,$x2,$y2,$x1,$y2));
-    }
-	
+        if( $y1==$y2 || $x1==$x2 )
+        $this->Line($x1,$y1,$x2,$y2);
+        else
+        $this->FilledPolygon(array($x1,$y1,$x2,$y1,$x2,$y2,$x1,$y2));
+    }
+
     function Polygon($pnts,$closed=FALSE,$fast=FALSE) {
-	// Polygon uses Line() so it will be rotated through that call unless
-	// fast drawing routines are used in which case a rotate is needed
-	if( $fast ) {
-	    parent::Polygon($this->ArrRotate($pnts));
-	}
-	else
-	    parent::Polygon($pnts,$closed,$fast);
-    }
-	
+        // Polygon uses Line() so it will be rotated through that call unless
+        // fast drawing routines are used in which case a rotate is needed
+        if( $fast ) {
+            parent::Polygon($this->ArrRotate($pnts));
+        }
+        else {
+            parent::Polygon($pnts,$closed,$fast);
+        }
+    }
+
     function FilledPolygon($pnts) {
-	parent::FilledPolygon($this->ArrRotate($pnts));
-    }
-	
+        parent::FilledPolygon($this->ArrRotate($pnts));
+    }
+
     function Point($x,$y) {
-	list($xp,$yp) = $this->Rotate($x,$y);
-	parent::Point($xp,$yp);
-    }
-	
+        list($xp,$yp) = $this->Rotate($x,$y);
+        parent::Point($xp,$yp);
+    }
+
     function StrokeText($x,$y,$txt,$dir=0,$paragraph_align="left",$debug=false) {
-	list($xp,$yp) = $this->Rotate($x,$y);
-	return parent::StrokeText($xp,$yp,$txt,$dir,$paragraph_align,$debug);
+        list($xp,$yp) = $this->Rotate($x,$y);
+        return parent::StrokeText($xp,$yp,$txt,$dir,$paragraph_align,$debug);
     }
 }
 
-//===================================================
+//=======================================================================
 // CLASS ImgStreamCache
-// Description: Handle caching of graphs to files
-//===================================================
+// Description: Handle caching of graphs to files. All image output goes
+//              through this class
+//=======================================================================
 class ImgStreamCache {
-    private $cache_dir, $img=null, $timeout=0; 	// Infinite timeout
+    private $cache_dir, $timeout=0;  // Infinite timeout
     //---------------
     // CONSTRUCTOR
-    function ImgStreamCache($aImg, $aCacheDir=CACHE_DIR) {
-	$this->img = $aImg;
-	$this->cache_dir = $aCacheDir;
-    }
-
-//---------------
-// PUBLIC METHODS	
+    function __construct($aCacheDir=CACHE_DIR) {
+        $this->cache_dir = $aCacheDir;
+    }
+
+    //---------------
+    // PUBLIC METHODS
 
     // Specify a timeout (in minutes) for the file. If the file is older then the
@@ -1478,142 +2122,191 @@
     // timeout is set to -1 this is the same as infinite small timeout
     function SetTimeout($aTimeout) {
-	$this->timeout=$aTimeout;	
-    }
-	
+        $this->timeout=$aTimeout;
+    }
+
     // Output image to browser and also write it to the cache
     function PutAndStream($aImage,$aCacheFileName,$aInline,$aStrokeFileName) {
-	// Some debugging code to brand the image with numbe of colors
-	// used
-	GLOBAL $gJpgBrandTiming;
-
-	if( $gJpgBrandTiming ) {
-	    global $tim;
-	    $t=$tim->Pop()/1000.0;
-	    $c=$aImage->SetColor("black");
-	    $t=sprintf(BRAND_TIME_FORMAT,round($t,3));
-	    imagestring($this->img->img,2,5,$this->img->height-20,$t,$c);			
-	}
-
-	// Check if we should stroke the image to an arbitrary file
-	if( _FORCE_IMGTOFILE ) {
-	    $aStrokeFileName = _FORCE_IMGDIR.GenImgName();
-	}
-
-	if( $aStrokeFileName!="" ) {
-	    if( $aStrokeFileName == "auto" )
-		$aStrokeFileName = GenImgName();
-	    if( file_exists($aStrokeFileName) ) {
-		// Delete the old file
-		if( !@unlink($aStrokeFileName) )
-		    JpGraphError::RaiseL(25111,$aStrokeFileName);//(" Can't delete cached image $aStrokeFileName. Permission problem?");
-	    }
-	    $aImage->Stream($aStrokeFileName);
-	    return;
-	}
-
-	if( $aCacheFileName != "" && USE_CACHE) {
-
-	    $aCacheFileName = $this->cache_dir . $aCacheFileName;
-	    if( file_exists($aCacheFileName) ) {
-		if( !$aInline ) {
-		    // If we are generating image off-line (just writing to the cache)
-		    // and the file exists and is still valid (no timeout)
-		    // then do nothing, just return.
-		    $diff=time()-filemtime($aCacheFileName);
-		    if( $diff < 0 )
-			JpGraphError::RaiseL(25112,$aCacheFileName);//(" Cached imagefile ($aCacheFileName) has file date in the future!!");
-		    if( $this->timeout>0 && ($diff <= $this->timeout*60) ) 
-			return;		
-		}			
-		if( !@unlink($aCacheFileName) )
-		    JpGraphError::RaiseL(25113,$aStrokeFileName);//(" Can't delete cached image $aStrokeFileName. Permission problem?");
-		$aImage->Stream($aCacheFileName);	
-	    }
-	    else {
-		$this->MakeDirs(dirname($aCacheFileName));
-		if( !is_writeable(dirname($aCacheFileName)) ) {
-		    JpGraphError::RaiseL(25114,$aCacheFileName);//('PHP has not enough permissions to write to the cache file '.$aCacheFileName.'. Please make sure that the user running PHP has write permission for this file if you wan to use the cache system with JpGraph.');
-		}
-		$aImage->Stream($aCacheFileName);
-	    }
-			
-	    $res=true;
-	    // Set group to specified
-	    if( CACHE_FILE_GROUP != "" )
-		$res = @chgrp($aCacheFileName,CACHE_FILE_GROUP);
-	    if( CACHE_FILE_MOD != "" )
-		$res = @chmod($aCacheFileName,CACHE_FILE_MOD);
-	    if( !$res )
-		JpGraphError::RaiseL(25115,$aStrokeFileName);//(" Can't set permission for cached image $aStrokeFileName. Permission problem?");
-			
-	    $aImage->Destroy();
-	    if( $aInline ) {
-		if ($fh = @fopen($aCacheFileName, "rb") ) {
-		    $this->img->Headers();
-		    fpassthru($fh);
-		    return;
-		}
-		else
-		    JpGraphError::RaiseL(25116,$aFile);//(" Cant open file from cache [$aFile]"); 
-	    }
-	}
-	elseif( $aInline ) {
-	    $this->img->Headers();	 		
-	    $aImage->Stream();	
-	    return;
-	}
-    }
-	
+
+        // Check if we should always stroke the image to a file
+        if( _FORCE_IMGTOFILE ) {
+            $aStrokeFileName = _FORCE_IMGDIR.GenImgName();
+        }
+
+        if( $aStrokeFileName != '' ) {
+
+            if( $aStrokeFileName == 'auto' ) {
+                $aStrokeFileName = GenImgName();
+            }
+
+            if( file_exists($aStrokeFileName) ) {
+
+                // Wait for lock (to make sure no readers are trying to access the image)
+                $fd = fopen($aStrokeFileName,'w');
+                $lock = flock($fd, LOCK_EX);
+
+                // Since the image write routines only accepts a filename which must not
+                // exist we need to delete the old file first
+                if( !@unlink($aStrokeFileName) ) {
+                    $lock = flock($fd, LOCK_UN);
+                    JpGraphError::RaiseL(25111,$aStrokeFileName);
+                    //(" Can't delete cached image $aStrokeFileName. Permission problem?");
+                }
+                $aImage->Stream($aStrokeFileName);
+                $lock = flock($fd, LOCK_UN);
+                fclose($fd);
+
+            }
+            else {
+                $aImage->Stream($aStrokeFileName);
+            }
+
+            return;
+        }
+
+        if( $aCacheFileName != '' && USE_CACHE) {
+
+            $aCacheFileName = $this->cache_dir . $aCacheFileName;
+            if( file_exists($aCacheFileName) ) {
+                if( !$aInline ) {
+                    // If we are generating image off-line (just writing to the cache)
+                    // and the file exists and is still valid (no timeout)
+                    // then do nothing, just return.
+                    $diff=time()-filemtime($aCacheFileName);
+                    if( $diff < 0 ) {
+                        JpGraphError::RaiseL(25112,$aCacheFileName);
+                        //(" Cached imagefile ($aCacheFileName) has file date in the future!!");
+                    }
+                    if( $this->timeout>0 && ($diff <= $this->timeout*60) ) return;
+                }
+
+                // Wait for lock (to make sure no readers are trying to access the image)
+                $fd = fopen($aCacheFileName,'w');
+                $lock = flock($fd, LOCK_EX);
+
+                if( !@unlink($aCacheFileName) ) {
+                    $lock = flock($fd, LOCK_UN);
+                    JpGraphError::RaiseL(25113,$aStrokeFileName);
+                    //(" Can't delete cached image $aStrokeFileName. Permission problem?");
+                }
+                $aImage->Stream($aCacheFileName);
+                $lock = flock($fd, LOCK_UN);
+                fclose($fd);
+
+            }
+            else {
+                $this->MakeDirs(dirname($aCacheFileName));
+                if( !is_writeable(dirname($aCacheFileName)) ) {
+                    JpGraphError::RaiseL(25114,$aCacheFileName);
+                    //('PHP has not enough permissions to write to the cache file '.$aCacheFileName.'. Please make sure that the user running PHP has write permission for this file if you wan to use the cache system with JpGraph.');
+                }
+                $aImage->Stream($aCacheFileName);
+            }
+
+            $res=true;
+            // Set group to specified
+            if( CACHE_FILE_GROUP != '' ) {
+                $res = @chgrp($aCacheFileName,CACHE_FILE_GROUP);
+            }
+            if( CACHE_FILE_MOD != '' ) {
+                $res = @chmod($aCacheFileName,CACHE_FILE_MOD);
+            }
+            if( !$res ) {
+                JpGraphError::RaiseL(25115,$aStrokeFileName);
+                //(" Can't set permission for cached image $aStrokeFileName. Permission problem?");
+            }
+
+            $aImage->Destroy();
+            if( $aInline ) {
+                if ($fh = @fopen($aCacheFileName, "rb") ) {
+                    $aImage->Headers();
+                    fpassthru($fh);
+                    return;
+                }
+                else {
+                    JpGraphError::RaiseL(25116,$aFile);//(" Cant open file from cache [$aFile]");
+                }
+            }
+        }
+        elseif( $aInline ) {
+            $aImage->Headers();
+            $aImage->Stream();
+            return;
+        }
+    }
+
+    function IsValid($aCacheFileName) {
+        $aCacheFileName = $this->cache_dir.$aCacheFileName;
+        if ( USE_CACHE && file_exists($aCacheFileName) ) {
+            $diff=time()-filemtime($aCacheFileName);
+            if( $this->timeout>0 && ($diff > $this->timeout*60) ) {
+                return false;
+            }
+            else {
+                return true;
+            }
+        }
+        else {
+            return false;
+        }
+    }
+
+    function StreamImgFile($aImage,$aCacheFileName) {
+        $aCacheFileName = $this->cache_dir.$aCacheFileName;
+        if ( $fh = @fopen($aCacheFileName, 'rb') ) {
+            $lock = flock($fh, LOCK_SH);
+            $aImage->Headers();
+            fpassthru($fh);
+            $lock = flock($fh, LOCK_UN);
+            fclose($fh);
+            return true;
+        }
+        else {
+            JpGraphError::RaiseL(25117,$aCacheFileName);//(" Can't open cached image \"$aCacheFileName\" for reading.");
+        }
+    }
+
     // Check if a given image is in cache and in that case
     // pass it directly on to web browser. Return false if the
     // image file doesn't exist or exists but is to old
-    function GetAndStream($aCacheFileName) {
-	$aCacheFileName = $this->cache_dir.$aCacheFileName;		 
-	if ( USE_CACHE && file_exists($aCacheFileName) && $this->timeout>=0 ) {
-	    $diff=time()-filemtime($aCacheFileName);
-	    if( $this->timeout>0 && ($diff > $this->timeout*60) ) {
-		return false;		
-	    }
-	    else {
-		if ($fh = @fopen($aCacheFileName, "rb")) {
-		    $this->img->Headers();
-		    fpassthru($fh);
-		    return true;
-		}
-		else
-		    JpGraphError::RaiseL(25117,$aCacheFileName);//(" Can't open cached image \"$aCacheFileName\" for reading.");
-	    }
-	} 
-	return false;
-    }
-	
+    function GetAndStream($aImage,$aCacheFileName) {
+        if( $this->Isvalid($aCacheFileName) ) {
+            $this->StreamImgFile($aImage,$aCacheFileName);
+        }
+        else {
+            return false;
+        }
+    }
+
     //---------------
-    // PRIVATE METHODS	
+    // PRIVATE METHODS
     // Create all necessary directories in a path
     function MakeDirs($aFile) {
-	$dirs = array();
-	while ( !(file_exists($aFile)) ) {
-	    $dirs[] = $aFile;
-	    $aFile = dirname($aFile);
-	}
-	for ($i = sizeof($dirs)-1; $i>=0; $i--) {
-	    if(! @mkdir($dirs[$i],0777) )
-		JpGraphError::RaiseL(25118,$aFile);//(" Can't create directory $aFile. Make sure PHP has write permission to this directory.");
-	    // We also specify mode here after we have changed group. 
-	    // This is necessary if Apache user doesn't belong the
-	    // default group and hence can't specify group permission
-	    // in the previous mkdir() call
-	    if( CACHE_FILE_GROUP != "" ) {
-		$res=true;
-		$res =@chgrp($dirs[$i],CACHE_FILE_GROUP);
-		$res = @chmod($dirs[$i],0777);
-		if( !$res )
-		    JpGraphError::RaiseL(25119,$aFile);//(" Can't set permissions for $aFile. Permission problems?");
-	    }
-	}
-	return true;
-    }	
+        $dirs = array();
+        // In order to better work when open_basedir is enabled
+        // we do not create directories in the root path
+        while ( $aFile != '/' && !(file_exists($aFile)) ) {
+            $dirs[] = $aFile.'/';
+            $aFile = dirname($aFile);
+        }
+        for ($i = sizeof($dirs)-1; $i>=0; $i--) {
+            if(! @mkdir($dirs[$i],0777) ) {
+                JpGraphError::RaiseL(25118,$aFile);//(" Can't create directory $aFile. Make sure PHP has write permission to this directory.");
+            }
+            // We also specify mode here after we have changed group.
+            // This is necessary if Apache user doesn't belong the
+            // default group and hence can't specify group permission
+            // in the previous mkdir() call
+            if( CACHE_FILE_GROUP != "" ) {
+                $res=true;
+                $res =@chgrp($dirs[$i],CACHE_FILE_GROUP);
+                $res = @chmod($dirs[$i],0777);
+                if( !$res ) {
+                    JpGraphError::RaiseL(25119,$aFile);//(" Can't set permissions for $aFile. Permission problems?");
+                }
+            }
+        }
+        return true;
+    }
 } // CLASS Cache
 
-
 ?>
Index: trunk/client/modules/Elezioni/grafici/imgdata_balls.inc.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/imgdata_balls.inc.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/imgdata_balls.inc.php	(revision 265)
@@ -1,10 +1,10 @@
 <?php
 //=======================================================================
-// File:	IMGDATA_ROUNDBALLS.INC
-// Description:	Base64 encoded images for small round markers
-// Created: 	2003-03-20
-// Ver:		$Id: imgdata_balls.inc.php 860 2007-03-23 19:16:19Z ljp $
+// File:        IMGDATA_ROUNDBALLS.INC
+// Description: Base64 encoded images for small round markers
+// Created:     2003-03-20
+// Ver:         $Id: imgdata_balls.inc.php 1106 2009-02-22 20:16:35Z ljp $
 //
-// Copyright (c) Aditus Consulting. All rights reserved.
+// Copyright (c) Asial Corporation. All rights reserved.
 //========================================================================
 
@@ -12,36 +12,36 @@
     protected $name = 'Round Balls';
     protected $an = array(MARK_IMG_LBALL => 'imgdata_large',
-		    MARK_IMG_MBALL => 'imgdata_small',
-		    MARK_IMG_SBALL => 'imgdata_xsmall',
-		    MARK_IMG_BALL => 'imgdata_xsmall');
+    MARK_IMG_MBALL => 'imgdata_small',
+    MARK_IMG_SBALL => 'imgdata_xsmall',
+    MARK_IMG_BALL => 'imgdata_xsmall');
     protected $colors,$index,$maxidx;
     private $colors_1 = array('blue','lightblue','brown','darkgreen',
-			      'green','purple','red','gray','yellow','silver','gray');
+         'green','purple','red','gray','yellow','silver','gray');
     private $index_1  = array('blue'=>9,'lightblue'=>1,'brown'=>6,'darkgreen'=>7,
-			      'green'=>8,'purple'=>4,'red'=>0,'gray'=>5,'silver'=>3,'yellow'=>2);
+         'green'=>8,'purple'=>4,'red'=>0,'gray'=>5,'silver'=>3,'yellow'=>2);
     private $maxidx_1 = 9 ;
 
     private $colors_2 = array('blue','bluegreen','brown','cyan',
-			  'darkgray','greengray','gray','green',
-			  'greenblue','lightblue','lightred',
-			  'purple','red','white','yellow');
-			  
-	
+     'darkgray','greengray','gray','green',
+     'greenblue','lightblue','lightred',
+     'purple','red','white','yellow');
+     
+
     private $index_2 =  array('blue'=>9,'bluegreen'=>13,'brown'=>8,'cyan'=>12,
-			  'darkgray'=>5,'greengray'=>6,'gray'=>2,'green'=>10,
-			  'greenblue'=>3,'lightblue'=>1,'lightred'=>14,
-			  'purple'=>7,'red'=>0,'white'=>11,'yellow'=>4);
-			
+     'darkgray'=>5,'greengray'=>6,'gray'=>2,'green'=>10,
+     'greenblue'=>3,'lightblue'=>1,'lightred'=>14,
+     'purple'=>7,'red'=>0,'white'=>11,'yellow'=>4);
+     
     private $maxidx_2 = 14 ;
 
 
     private $colors_3 = array('bluegreen','cyan','darkgray','greengray',
-			  'gray','graypurple','green','greenblue','lightblue',
-			  'lightred','navy','orange','purple','red','yellow');
-	
+     'gray','graypurple','green','greenblue','lightblue',
+     'lightred','navy','orange','purple','red','yellow');
+
     private $index_3 = array('bluegreen'=>1,'cyan'=>11,'darkgray'=>14,'greengray'=>10,
-			 'gray'=>3,'graypurple'=>4,'green'=>9,'greenblue'=>7,
-			 'lightblue'=>13,'lightred'=>0,'navy'=>2,'orange'=>12,
-			 'purple'=>8,'red'=>5,'yellow'=>6);
+    'gray'=>3,'graypurple'=>4,'green'=>9,'greenblue'=>7,
+    'lightblue'=>13,'lightred'=>0,'navy'=>2,'orange'=>12,
+    'purple'=>8,'red'=>5,'yellow'=>6);
     private $maxidx_3 = 14 ;
 
